Loading...
Searching...
No Matches
etl::imessage_timer_interrupt< TInterruptGuard >::timer_data Struct Reference

The configuration of a timer. More...

`#include <message_timer_interrupt.h>`

## Public Member Functions

| timer_data (etl::timer::id::type id_, const etl::imessage &message_, etl::imessage_router &irouter_, uint32_t period_, bool repeating_, etl::message_router_id_t destination_router_id_=etl::imessage_bus::ALL_MESSAGE_ROUTERS)
bool | is_active () const
| Returns true if the timer is active.
void | set_inactive ()
| Sets the timer to the inactive state.

## Public Attributes

const etl::imessage * | p_message
etl::imessage_router * | p_router
uint32_t | period
uint32_t | delta
etl::message_router_id_t | destination_router_id
etl::timer::id::type | id
uint_least8_t | previous
uint_least8_t | next
bool | repeating

## Detailed Description

template<typename TInterruptGuard>
struct etl::imessage_timer_interrupt< TInterruptGuard >::timer_data

The configuration of a timer.

The documentation for this struct was generated from the following file:

- include/etl/message_timer_interrupt.h